<?php


class Weather
{
	private $key = "???";
	private $area = "-22.8%2C-47.0"; // latitude longitude
	private $humidity;
	private $temp_C;
	private $tempMaxC;
	private $tempMinC;
	private $weatherDesc;
	private $weatherCode;
	private $loaded = false;

	public function retrieveInfo()
	{
		$data = file_get_contents("http://api.worldweatheronline.com/free/v1/weather.ashx?q=".$this->area."&format=json&num_of_days=1&key=".$this->key);
		if ($data)
		{
			$json = json_decode($data);
			$this->humidity = $json->data->current_condition[0]->humidity;
			$this->temp_C = $json->data->current_condition[0]->temp_C;
			$this->weatherDesc = $json->data->current_condition[0]->weatherDesc;
			$this->weatherCode = $json->data->current_condition[0]->weatherCode;

			$this->tempMaxC = $json->data->weather[0]->tempMaxC;
			$this->tempMinC = $json->data->weather[0]->tempMinC;

			$this->loaded = true;
			return true;
		}
		return false;
	}

	public function isSunny()
	{
		return in_array($this->weatherCode, array(113,116));
	}

	public function isRaining()
	{
		return in_array($this->weatherCode, array(389,386,359,356,353,314,311,308,305,302,299,296,293,266,263,176));
	}

	public function getTemp()
	{
		return $this->loaded ? $this->temp_C : false;
	}

	public function getMaxTemp()
	{
		return $this->loaded ? $this->tempMaxC : false;
	}

	public function getMinTemp()
	{
		return $this->loaded ? $this->tempMinC : false;
	}

}


?>